Bug 14150 - [3.4 regression] Ada documentation out of date
Summary: [3.4 regression] Ada documentation out of date
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: ada (show other bugs)
Version: 3.4.0
: P2 critical
Target Milestone: 3.4.1
Assignee: Not yet assigned to anyone
URL:
Keywords: documentation
Depends on:
Blocks:
 
Reported: 2004-02-15 12:17 UTC by Joseph S. Myers
Modified: 2004-06-09 09:21 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2004-02-15 14:12:15


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joseph S. Myers 2004-02-15 12:17:28 UTC
There have been no significant changes to the Ada manuals since

revision 1.5
date: 2002/03/23 09:39:17;  author: fw;  state: Exp;  lines: +1683 -1486
2002-03-23  Florian Weimer  <fw@deneb.enyo.de>

        * gnat_rm.texi: Sync with ACT version.
          (From Ben Brosgol <brosgol@gnat.com>)

and

revision 1.2
date: 2002/04/21 12:56:01;  author: fw;  state: Exp;  lines: +24891 -0
branches:  1.2.2;  1.2.4;  1.2.6;  1.2.8;
        * gnat_ug.texi: New file.

(there have been various minor changes).  However, there are major code
changes in 3.4 and 3.5.  The manuals in 3.4 and 3.5 should be updated
to correspond with the respective versions of the code on 3.4 branch
and mainline (and then kept up to date with each commit to code).
Comment 1 Andrew Pinski 2004-02-15 14:12:15 UTC
Confirmed.  Ada really should get no different treatment than any other language in respect.  Really 
there should doc merges when there are Ada merges too.
Comment 2 Joseph S. Myers 2004-03-19 16:34:55 UTC
This is a regression in 3.4 and 3.5, are there any plans to synchronise
the manual in 3.4 branch with the code version there before the release?
Comment 3 CVS Commits 2004-04-01 17:25:11 UTC
Subject: Bug 14150

CVSROOT:	/cvs/gcc
Module name:	gcc
Changes by:	charlet@gcc.gnu.org	2004-04-01 17:25:05

Modified files:
	gcc/ada        : Make-lang.in gnat-style.texi gnat_rm.texi 
	                 ug_words ChangeLog 
Added files:
	gcc/ada        : xgnatugn.adb gnat_ugn.texi 
Removed files:
	gcc/ada        : xgnatug.adb gnat_ug.texi gnat_ug_unx.texi 
	                 gnat_ug_vms.texi gnat_ug_vxw.texi 
	                 gnat_ug_wnt.texi 

Log message:
	PR ada/14150
	* Make-lang.in: Clean up generation of documentation
	
	* gnat-style.texi, gnat_rm.texi, ug_words: Resync with AdaCore version
	
	* xgnatug.adb: Removed, replaced by xgnatugn.adb
	
	* xgnatugn.adb: Replaces xgnatug.adb
	
	* gnat_ug.texi: Removed, replaced by gnat_ugn.texi
	
	* gnat_ugn.texi: Replaces gnat_ug.texi. Resync with AdaCore version
	
	* gnat_ug_unx.texi, gnat_ug_vms.texi, gnat_ug_vxw.texi,
	gnat_ug_wnt.texi: Removed.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/xgnatugn.adb.diff?cvsroot=gcc&r1=NONE&r2=1.1
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/gnat_ugn.texi.diff?cvsroot=gcc&r1=NONE&r2=1.1
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/Make-lang.in.diff?cvsroot=gcc&r1=1.82&r2=1.83
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/gnat-style.texi.diff?cvsroot=gcc&r1=1.7&r2=1.8
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/gnat_rm.texi.diff?cvsroot=gcc&r1=1.13&r2=1.14
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/ug_words.diff?cvsroot=gcc&r1=1.2&r2=1.3
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/ChangeLog.diff?cvsroot=gcc&r1=1.473&r2=1.474
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/xgnatug.adb.diff?cvsroot=gcc&r1=1.2&r2=NONE
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/gnat_ug.texi.diff?cvsroot=gcc&r1=1.14&r2=NONE
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/gnat_ug_unx.texi.diff?cvsroot=gcc&r1=1.9&r2=NONE
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/gnat_ug_vms.texi.diff?cvsroot=gcc&r1=1.9&r2=NONE
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/gnat_ug_vxw.texi.diff?cvsroot=gcc&r1=1.10&r2=NONE
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/gnat_ug_wnt.texi.diff?cvsroot=gcc&r1=1.9&r2=NONE

Comment 4 Andrew Pinski 2004-04-01 18:57:46 UTC
Fixed in 3.5.0 now.
Comment 5 Mark Mitchell 2004-05-28 22:11:46 UTC
Arnaud --

Would you please apply the fixes to the 3.4 branch?

-- Mark
Comment 6 charlet 2004-05-28 22:34:29 UTC
Subject: Re:  [3.4 regression] Ada documentation out of date

> Would you please apply the fixes to the 3.4 branch?

This actually requires lots of not so trivial work:

The doc change itself is not the same for 3.4
Then the Makefile changes will also need to be slightly revised and retested.
Then the scripts that package/display the online 3.4 doc will also need to
be changed.

But that's clearly on the wish list. In particular, I was waiting for
things to settle a little on the HEAD (e.g. wrt to the various
web related changes which I am not very familiar with).

Arno
Comment 7 Joseph S. Myers 2004-05-28 22:42:27 UTC
Subject: Re:  [3.4 regression] Ada documentation out of date

On Fri, 28 May 2004, charlet at act-europe dot fr wrote:

> But that's clearly on the wish list. In particular, I was waiting for
> things to settle a little on the HEAD (e.g. wrt to the various
> web related changes which I am not very familiar with).

As far as I know things have settled by now (any problems there might turn
out to be with e.g. inclusion of generated info files in releases being
best resolved through prerelease generation).  The mainline version of
update_web_docs is the one always used, so that doesn't need merging to
branch; changes to merge apart from the main one (adjusted to give a
manual version correct for the code on 3.4 branch) probably are:

contrib:
2004-04-01  Kelley Cook  <kcook@gcc.gnu.org>

        * gcc_update (files_and_dependencies): Remove gcc/ada/*.texi.

gcc/ada:

2004-04-28  Joseph S. Myers  <jsm@polyomino.org.uk>

        * gnat_ugn.texi: Correct argument to @setfilename.

2004-04-19  Arnaud Charlet  <charlet@act-europe.fr>

        * gnat_rm.texi: Redo 1.13 change.

2004-04-02  Arnaud Charlet  <charlet@act-europe.fr>

        * gnat-style.texi, gnat_rm.texi, gnat_ugn.texi: Remove RCS tags.
        Replace ifinfo by ifnottex, to make makeinfo --html happy again.
        Add info directory entry and category.

Comment 8 CVS Commits 2004-06-09 09:15:25 UTC
Subject: Bug 14150

CVSROOT:	/cvs/gcc
Module name:	gcc
Branch: 	gcc-3_4-branch
Changes by:	charlet@gcc.gnu.org	2004-06-09 09:15:15

Modified files:
	contrib        : gcc_update ChangeLog 

Log message:
	PR ada/14150
	* gcc_update (files_and_dependencies): Remove gcc/ada/*.texi.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/contrib/gcc_update.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=1.55&r2=1.55.4.1
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/contrib/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=1.179.4.2&r2=1.179.4.3

Comment 9 CVS Commits 2004-06-09 09:21:03 UTC
Subject: Bug 14150

CVSROOT:	/cvs/gcc
Module name:	gcc
Branch: 	gcc-3_4-branch
Changes by:	charlet@gcc.gnu.org	2004-06-09 09:20:53

Modified files:
	gcc/ada        : Make-lang.in gnat-style.texi gnat_rm.texi 
	                 ug_words ChangeLog 
Added files:
	gcc/ada        : xgnatugn.adb gnat_ugn.texi 
Removed files:
	gcc/ada        : xgnatug.adb gnat_ug.texi gnat_ug_unx.texi 
	                 gnat_ug_vms.texi gnat_ug_vxw.texi 
	                 gnat_ug_wnt.texi 

Log message:
	PR ada/14150
	* Make-lang.in: Clean up generation of documentation
	
	* gnat-style.texi, gnat_rm.texi, ug_words: Resync with AdaCore version
	
	* xgnatug.adb: Removed, replaced by xgnatugn.adb
	
	* xgnatugn.adb: Replaces xgnatug.adb
	
	* gnat_ug.texi: Removed, replaced by gnat_ugn.texi
	
	* gnat_ugn.texi: Replaces gnat_ug.texi. Resync with AdaCore version
	
	* gnat_ug_unx.texi, gnat_ug_vms.texi, gnat_ug_vxw.texi,
	gnat_ug_wnt.texi: Removed.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/xgnatugn.adb.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=NONE&r2=1.1.16.1
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/gnat_ugn.texi.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=NONE&r2=1.11.6.1
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/Make-lang.in.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=1.70.2.2&r2=1.70.2.3
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/gnat-style.texi.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=1.7&r2=1.7.16.1
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/gnat_rm.texi.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=1.13&r2=1.13.16.1
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/ug_words.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=1.2&r2=1.2.60.1
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=1.428.2.8&r2=1.428.2.9
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/xgnatug.adb.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=1.2&r2=NONE
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/gnat_ug.texi.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=1.12.4.1&r2=NONE
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/gnat_ug_unx.texi.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=1.7.4.1&r2=NONE
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/gnat_ug_vms.texi.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=1.8.4.1&r2=NONE
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/gnat_ug_vxw.texi.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=1.8.4.1&r2=NONE
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/gnat_ug_wnt.texi.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=1.7.4.1&r2=NONE

Comment 10 Arnaud Charlet 2004-06-09 09:21:33 UTC
Closing this PR.

Arno
Comment 11 charlet 2004-06-09 09:24:22 UTC
Subject: Re:  [3.4 regression] Ada documentation out of date

That's now done, thanks for your help.

AFAICS, htdocs/onlinedocs/index.html will also need updating when
GCC 3.4.1 is released, to use the new GNAT doc names (as for the 'Current
development' section).

> As far as I know things have settled by now (any problems there might turn
> out to be with e.g. inclusion of generated info files in releases being
> best resolved through prerelease generation).  The mainline version of
> update_web_docs is the one always used, so that doesn't need merging to
> branch; changes to merge apart from the main one (adjusted to give a
> manual version correct for the code on 3.4 branch) probably are: